Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.util
Class SimpleClassLoader

    java.lang.Object
      |
      +--java.lang.ClassLoader
            |
            +--com.caucho.util.DynamicClassLoader
                  |
                  +--com.caucho.util.SimpleClassLoader

public class SimpleClassLoader
extends DynamicClassLoader

Class loader which checks for changes in class files and automatically picks up new jars.

Inner classes inherited from class com.caucho.util.DynamicClassLoader
`DynamicClassLoader.Entry`

Fields inherited from class com.caucho.util.DynamicClassLoader
`classPath`

Constructor Summary
`protected` | `SimpleClassLoader()`
`protected` | `SimpleClassLoader(java.lang.ClassLoader parent)`

Method Summary
`static SimpleClassLoader` | `create(java.lang.ClassLoader parent, Path path, java.lang.String prefix)` Create a new class loader
`protected java.lang.String` | `fillClassPath()` Fill data for the class path.
`Path` | `getPath(java.lang.String name)`

Methods inherited from class com.caucho.util.DynamicClassLoader
`findClass, findLibrary, getClassEntry, getClassPath, getParentLoader, getResource, getResourceAsStream, isModified, loadClass, makeAll, setNext, setParent`

Methods inherited from class java.lang.ClassLoader
`defineClass, defineClass, defineClass, definePackage, findLoadedClass, findResource, findResources, findSystemClass, getPackage, getPackages, getParent, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, resolveClass, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleClassLoader

    protected SimpleClassLoader()

### SimpleClassLoader

    protected SimpleClassLoader(java.lang.ClassLoader parent)

Method Detail

### create

    public static SimpleClassLoader create(java.lang.ClassLoader parent,
                                           Path path,
                                           java.lang.String prefix)

  Create a new class loader
  Parameters:
    `parent` - parent class loader
    `path` - traditional classpath

### getPath

    public Path getPath(java.lang.String name)

  Overrides:
    `getPath` in class `DynamicClassLoader`

### fillClassPath

    protected java.lang.String fillClassPath()

  Description copied from class: `DynamicClassLoader`
  Fill data for the class path. fillClassPath() will add all .jar and .zip files in the directory list.
  Overrides:
    `fillClassPath` in class `DynamicClassLoader`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD